Bug 1258693 - (6.0.x) Multiple SwitchYard tests fail for a single RESTEasy endpoint
(6.0.x) Multiple SwitchYard tests fail for a single RESTEasy endpoint
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: tcunning
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 22:18 EDT by Tadayoshi Sato
Modified: 2015-11-02 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-3917 Major Closed [FSW 6.0.x] Multiple SwitchYard tests fail for a single RESTEasy endpoint 2016-06-14 04:32 EDT

  None (edit)
Description Tadayoshi Sato 2015-08-31 22:18:59 EDT
Cloned from https://issues.jboss.org/browse/ENTESB-3917

When there are multiple test methods for a single RESTEasy endpoint in a SY test class, some of them sporadically hang and eventually fail with a timeout error after a very long time (about 5 mins).
This test issue seems to occur only with RESTEasy binding and not with other bindings.
Comment 1 JBoss JIRA Server 2015-10-16 11:10:35 EDT
Susan Javurek <sjavurek@redhat.com> updated the status of jira ENTESB-3917 to Closed

Note You need to log in before you can comment on or make changes to this bug.